Last Comment Bug 747205 - Webapps installer follow-ups
: Webapps installer follow-ups
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Web Apps (show other bugs)
: Trunk
: All Windows 7
: -- normal
: Firefox 14
Assigned To: :Felipe Gomes (needinfo me!)
: Jason Smith [:jsmith]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 15:26 PDT by :Felipe Gomes (needinfo me!)
Modified: 2016-02-04 15:00 PST (History)
3 users (show)
jsmith: in‑moztrap-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (4.26 KB, patch)
2012-04-19 15:26 PDT, :Felipe Gomes (needinfo me!)
no flags Details | Diff | Splinter Review
Patch v2 (6.25 KB, patch)
2012-04-19 16:14 PDT, :Felipe Gomes (needinfo me!)
no flags Details | Diff | Splinter Review
Patch v3 (6.41 KB, patch)
2012-04-19 16:30 PDT, :Felipe Gomes (needinfo me!)
timabraldes: review+
Details | Diff | Splinter Review

Description :Felipe Gomes (needinfo me!) 2012-04-19 15:26:13 PDT
Created attachment 616772 [details] [diff] [review]
Patch

Nits from changes that got out of sync between the installer/uninstaller work
Comment 1 :Felipe Gomes (needinfo me!) 2012-04-19 15:28:54 PDT
Comment on attachment 616772 [details] [diff] [review]
Patch

oops wrong review field
Comment 2 :Felipe Gomes (needinfo me!) 2012-04-19 16:14:21 PDT
Created attachment 616792 [details] [diff] [review]
Patch v2

Patch v2 with more changes (changed WebappRT -> Webapp in uninstaller, removed branding, updated name of shortcuts_log.ini).

Shortcut removal still doesn't work
Comment 3 :Felipe Gomes (needinfo me!) 2012-04-19 16:30:40 PDT
Created attachment 616804 [details] [diff] [review]
Patch v3

Changed Shortcut to Shortcut1. Untested.
Comment 4 Tim Abraldes [:TimAbraldes] [:tabraldes] 2012-04-19 17:04:16 PDT
(In reply to Felipe Gomes (:felipe) from comment #3)
> Created attachment 616804 [details] [diff] [review]
> Patch v3
> 
> Changed Shortcut to Shortcut1. Untested.

It turns out it should be Shortcut0.  I tested the patch and everything seems to work (as long as you change Shortcut1 to Shortcut0).  I'd give r+ but I'm not a peer of any module.
Comment 5 Myk Melez [:myk] [@mykmelez] 2012-04-19 17:08:31 PDT
(In reply to Tim Abraldes from comment #4)
> I tested the patch and everything
> seems to work (as long as you change Shortcut1 to Shortcut0).  I'd give r+
> but I'm not a peer of any module.

Tim: how about you give feedback+, and then felipe can figure out who should do the review.
Comment 6 Tim Abraldes [:TimAbraldes] [:tabraldes] 2012-04-19 18:44:02 PDT
Comment on attachment 616804 [details] [diff] [review]
Patch v3

Review of attachment 616804 [details] [diff] [review]:
-----------------------------------------------------------------

r=me as long as you change this to write "Shortcut0" instead of "Shortcut1" to shortcuts_log.ini
Comment 7 :Felipe Gomes (needinfo me!) 2012-04-19 18:52:41 PDT
https://hg.mozilla.org/mozilla-central/rev/ebec7bc561e1
Comment 8 Jason Smith [:jsmith] 2012-05-12 08:38:05 PDT
Felipe - Is there anything needed here to be verified? If so, what should I verify? It looks like underlying code changes for cleanup.

Note You need to log in before you can comment on or make changes to this bug.